Subject: Re: bug#57604: [ef]grep usage -> POSIXLY_CORRECT?

From: Guillem Jover <[email-masked]>
Date: Fri, 16 Sep 2022 14:15:33 +0200

On Fri, 2022-09-16 at 01:30:16 -0700, Jim Meyering wrote:
> On Thu, Sep 15, 2022 at 9:28 PM Guillem Jover <[email-masked]> wrote:
> > It's true that most of those instances are probably not going to fail.
> > But what is definitely being affected are autopkgtests from Debian
> > packages for example. By default those consider any output to stderr
> > a signal to mark the test as failing. So the new grep failures are
> > causing unrelated tests to fail now.
> >
> > Some are going to be hard to fix locally, or quickly everywhere, for
> > example the one in libtool, as until it is fixed, relibtoolizing will
> > have not effect, and afterwards that will get fixed only as long as
> > the packaging always forcibly relibtoolizes (or autoreconfigures).
> > <https://bugs.debian.org/1019725>
> >
> >
> > As I've mentioned earlier, personally, I definitely want to be able to
> > see those kinds of warnings so that I can fix or change stuff I
> > maintain, or report bugs with patches. But unfortunately it seems this
> > is causing enough disruption that all the new warnings might end up
> > being disabled in Debian. I think it's been discussed earlier that
> > environment variables are not desired? But I think it would still be nice
> > to be able to control those warnings globally/externally, so that even
> > if say a project like Debian ends up disabling them, people can still
> > enable them to be able to diagnose and track those down.
> 
> Thanks for the feedback.
> 
> We may make a new release with two additions:
> - an envvar to control [ef]grep warnings, enabled by default
> - a configure-time option to make it disabled by default

Sorry if I was not more explicit, while the [ef]grep warnings seem to
be causing disruption, the warning affecting libtool is the one about
"stray \ before ". I'm not sure how the other new warnings (AFAIR there
are more?) are affecting things though, but it might be worth handling
all the newly introduced warnings in the same way?

(Debian's grep bug discussing this is <https://bugs.debian.org/1019724>.)

> This would be an envvar for which we do not commit to any level of
> support in future releases.

I think that would be perfectly fine as a transitional measure, yes.
Thanks for considering!

Regards,
Guillem